Subject: Re: linux-next: build failure after merge of the target-merge tree

From: "Nicholas A. Bellinger" <[email-masked]>
Date: Thu, 15 Dec 2011 22:14:49 -0800

On Thu, 2011-12-15 at 12:26 +0100, Bart Van Assche wrote:
> On Thu, Dec 15, 2011 at 3:29 AM, Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the target-merge tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> >
> > drivers/infiniband/ulp/srpt/ib_srpt.c:48:39: fatal error: target/target_core_device.h: No such file or directory
> >
> > Caused by commit e0d85e515640 ("ib_srpt: Initial SRP Target merge for
> > v3.2-rc1") interacting with commit c4795fb20edf ("target: header
> > reshuffle, part2") from the target-updates tree which removed
> > include/target/target_core_device.h.
> >
> > I tried to figure out what set of include files is now needed, but
> > couldn't easily, so I have dropped the target-merge tree for today.
> 
> The (untested) patch below allowed me to make ib_srpt build again. By
> the way, has the patch "ib_srpt: Make compilation with BUG=n proceed"
> already been queued in the target-merge tree
> (http://www.mail-archive.com/[email-masked]/msg10030.html)
> ?
> 

Hi Bart,

I've included the above along with the patch to fix breakage using v3.3
includes in for-next-merge with ib_srpt.

Thanks!

--nab